using UnityEngine;
using System.Collections;

public class FollowObject : MonoBehaviour {
	public Transform target;
	public Vector3 offset;
	public float followSpeed;
	
	// Update is called once per frame
	void Update () { //prova
		if(target == null)
			return;
		transform.position = target.position + offset;
		/*HOTween.To(transform, followSpeed, new TweenParms().Prop("position",
			new Vector3(target.transform.position.x+offset.x,transform.position.y+offset.y,target.transform.position.z+offset.z)).SpeedBased());*/
	}
}
